<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.8.0.final using JasperReports Library version 6.8.0-2ed8dfabb690ff337a5797129f2cd92902b0c87b  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="FarmasiKeuanganObatDokter" pageWidth="842" pageHeight="595" orientation="Landscape" columnWidth="802" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="22b72a9f-6d51-4f7c-a5b5-8ae0214439f3">
	<property name="ireport.zoom" value="0.826446280991736"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="20"/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="DataAdapter.xml"/>
	<queryString>
		<![CDATA[select * from SP_RPT_GET_KEUANGANOBAT_BYDOKTER('2017-01-01','2017-12-31','');]]>
	</queryString>
	<field name="medical_tp" class="java.lang.String"/>
	<field name="medical_tp_nm" class="java.lang.String"/>
	<field name="trx_datetime" class="java.lang.String"/>
	<field name="pasien_nm" class="java.lang.String"/>
	<field name="no_rm" class="java.lang.String"/>
	<field name="address" class="java.lang.String"/>
	<field name="insurance_nm" class="java.lang.String"/>
	<field name="dr_nm" class="java.lang.String"/>
	<field name="medunit_nm" class="java.lang.String"/>
	<field name="ruang_nm" class="java.lang.String"/>
	<field name="kelas_nm" class="java.lang.String"/>
	<field name="type_cd" class="java.lang.String"/>
	<field name="type_nm" class="java.lang.String"/>
	<field name="item_cd" class="java.lang.String"/>
	<field name="item_nm" class="java.lang.String"/>
	<field name="quantity" class="java.math.BigDecimal"/>
	<field name="unit_nm" class="java.lang.String"/>
	<field name="harga" class="java.math.BigDecimal"/>
	<field name="total" class="java.math.BigDecimal"/>
	<field name="item_price_master" class="java.math.BigDecimal"/>
	<field name="total_price_master" class="java.math.BigDecimal"/>
	<group name="type">
		<groupExpression><![CDATA[$F{type_cd}]]></groupExpression>
		<groupHeader>
			<band height="20">
				<textField>
					<reportElement x="0" y="0" width="196" height="20" uuid="dbd37faf-214f-465d-9a2e-8ac418c09169"/>
					<textFieldExpression><![CDATA[$F{type_nm}]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="50"/>
		</groupFooter>
	</group>
	<group name="insurance">
		<groupExpression><![CDATA[$F{insurance_nm}]]></groupExpression>
		<groupHeader>
			<band height="20">
				<textField>
					<reportElement x="0" y="0" width="196" height="20" uuid="3cb2bc13-5660-4379-afad-383954045a5d"/>
					<textFieldExpression><![CDATA[$F{insurance_nm}]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="36"/>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<pageHeader>
		<band height="106" splitType="Stretch">
			<staticText>
				<reportElement x="12" y="46" width="100" height="20" uuid="6abf605d-7ccf-45c1-aaaf-417f6cf71485"/>
				<textElement>
					<font isBold="true"/>
				</textElement>
				<text><![CDATA[Tanggal	:]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="10" width="802" height="20" uuid="b43ff5bf-0ccb-420c-982f-eed67b67333e"/>
				<textElement textAlignment="Center">
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[LAPORAN KEUANGAN OBAT PER DOKTER]]></text>
			</staticText>
			<staticText>
				<reportElement x="491" y="86" width="123" height="20" uuid="fda1394c-d502-4469-a49f-c68c39a82a68"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[JUMLAH]]></text>
			</staticText>
			<staticText>
				<reportElement x="614" y="86" width="94" height="20" uuid="3e589df6-85e2-4a5b-8426-1fc0c40b625b"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[HARGA]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="86" width="196" height="20" uuid="fd9b664e-45f2-46ec-a7b3-2a7b0495d1ba"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[PASIEN]]></text>
			</staticText>
			<staticText>
				<reportElement x="196" y="86" width="160" height="20" uuid="9aca75d5-8533-4d0e-a106-97e864404d30"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[POLI/KAMAR/DR]]></text>
			</staticText>
			<staticText>
				<reportElement x="356" y="86" width="135" height="20" uuid="d0517887-26a8-4eb3-92e5-9ca38b0ce8d5"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[OBAT]]></text>
			</staticText>
			<staticText>
				<reportElement x="708" y="86" width="94" height="20" uuid="1ea73542-c080-411a-9bec-b72214c4c745"/>
				<box>
					<pen lineWidth="1.0"/>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[TOTAL]]></text>
			</staticText>
		</band>
	</pageHeader>
	<detail>
		<band height="40" splitType="Stretch">
			<textField>
				<reportElement x="0" y="20" width="196" height="20" uuid="74023e62-b3d4-49a1-999a-0e5de7093ffb"/>
				<textFieldExpression><![CDATA[$F{pasien_nm}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="0" width="196" height="20" uuid="b7745448-575f-4438-a830-0591a010e2f5"/>
				<textFieldExpression><![CDATA[$F{no_rm}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="196" y="0" width="160" height="20" uuid="d1d47936-aa4a-4e46-bbb3-f098784df9b4"/>
				<textFieldExpression><![CDATA[$F{medunit_nm}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="196" y="20" width="160" height="20" uuid="ef148926-53e3-4440-937d-625fc25462a3"/>
				<textFieldExpression><![CDATA[$F{dr_nm}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="356" y="0" width="135" height="20" uuid="e345ccb4-22cf-4eae-8ec4-08a4e1126330"/>
				<textFieldExpression><![CDATA[$F{item_nm}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="491" y="0" width="35" height="20" uuid="522aaafe-d0e9-4abf-b10b-f6a513a49568"/>
				<textFieldExpression><![CDATA[$F{quantity}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="526" y="0" width="88" height="20" uuid="703cedec-8436-4848-bb8f-09d326b2a153"/>
				<textFieldExpression><![CDATA[$F{unit_nm}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="614" y="0" width="94" height="20" uuid="1e530a31-6a44-44b4-8358-0384fd7724fd"/>
				<textFieldExpression><![CDATA[$F{harga}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="708" y="0" width="94" height="20" uuid="2dc5cafa-70bc-4f18-84d5-0a64f010d227"/>
				<textFieldExpression><![CDATA[$F{total}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band height="45" splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="54" splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="60" splitType="Stretch">
			<staticText>
				<reportElement x="449" y="20" width="147" height="20" uuid="9262a718-d0bf-4ca2-9337-ef61381351f7"/>
				<text><![CDATA[Modal]]></text>
			</staticText>
			<staticText>
				<reportElement x="449" y="0" width="147" height="20" uuid="65abbe0d-8dad-42fc-9749-61ba5126c0b4"/>
				<textElement>
					<font size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[TOTAL TRANSAKSI]]></text>
			</staticText>
			<staticText>
				<reportElement x="449" y="40" width="147" height="20" uuid="9f756940-1eb8-448f-a2d6-9bec0ff5a33d"/>
				<text><![CDATA[Margin]]></text>
			</staticText>
		</band>
	</summary>
</jasperReport>
